Agora Java API Reference for Android

Public Attributes | List of all members
agora::rtc::RemoteVideoTrackStats Struct Reference

`#include <NGIAgoraVideoTrack.h>`

## Public Attributes
uid_t | uid
int | delay
int | e2eDelay
int | width
int | height
int | receivedBitrate
int | decoderInputFrameRate
int | decoderOutputFrameRate
int | rendererOutputFrameRate
int | frameLossRate
int | packetLossRate
VIDEO_STREAM_TYPE | rxStreamType
int | totalFrozenTime
int | frozenRate
uint32_t | received_bytes
uint32_t | totalDecodedFrames
int | avSyncTimeMs
uint32_t | downlink_process_time_ms
uint32_t | frame_render_delay_ms
uint64_t | totalActiveTime
uint64_t | publishDuration
int | vqa_mos
int | vqa_avg_cost_ms
uint32_t | decoder_vender_id
uint32_t | decoder_type

## Detailed Description

The struct of RemoteVideoTrackStats.

## Member Data Documentation

## ◆ uid

uid_t agora::rtc::RemoteVideoTrackStats::uid

The ID of the remote user.

## ◆ delay

int agora::rtc::RemoteVideoTrackStats::delay

The overall delay (ms) of the video frames.

## ◆ e2eDelay

int agora::rtc::RemoteVideoTrackStats::e2eDelay

End-to-end delay from video capturer to video renderer. Hardware capture or render delay is excluded.

## ◆ width

int agora::rtc::RemoteVideoTrackStats::width

The width (pixel) of the remote video track.

## ◆ height

int agora::rtc::RemoteVideoTrackStats::height

The height (pixel) of the remote video track.

## ◆ receivedBitrate

int agora::rtc::RemoteVideoTrackStats::receivedBitrate

The bitrate (Kbps) received in the reported interval.

## ◆ decoderInputFrameRate

int agora::rtc::RemoteVideoTrackStats::decoderInputFrameRate

The decoder input frame rate (fps) of the remote video track.

## ◆ decoderOutputFrameRate

int agora::rtc::RemoteVideoTrackStats::decoderOutputFrameRate

The decoder output frame rate (fps) of the remote video track.

## ◆ rendererOutputFrameRate

int agora::rtc::RemoteVideoTrackStats::rendererOutputFrameRate

The render output frame rate (fps) of the remote video track.

## ◆ frameLossRate

int agora::rtc::RemoteVideoTrackStats::frameLossRate

The video frame loss rate (%) of the remote video stream in the reported interval.

## ◆ packetLossRate

int agora::rtc::RemoteVideoTrackStats::packetLossRate

The packet loss rate (%) of the remote video track after using the anti-packet-loss method.

## ◆ rxStreamType

VIDEO_STREAM_TYPE agora::rtc::RemoteVideoTrackStats::rxStreamType

The remote video stream type: #VIDEO_STREAM_TYPE.

## ◆ totalFrozenTime

int agora::rtc::RemoteVideoTrackStats::totalFrozenTime

The total freeze time (ms) of the remote video track after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

## ◆ frozenRate

int agora::rtc::RemoteVideoTrackStats::frozenRate

The total video freeze time as a percentage (%) of the total time when the video is available.

## ◆ received_bytes

uint32_t agora::rtc::RemoteVideoTrackStats::received_bytes

The number of video bytes received.

## ◆ totalDecodedFrames

uint32_t agora::rtc::RemoteVideoTrackStats::totalDecodedFrames

The total number of decoded video frames.

## ◆ avSyncTimeMs

int agora::rtc::RemoteVideoTrackStats::avSyncTimeMs

The offset (ms) between audio and video stream. A positive value indicates the audio leads the video, and a negative value indicates the audio lags the video.

## ◆ downlink_process_time_ms

uint32_t agora::rtc::RemoteVideoTrackStats::downlink_process_time_ms

The average offset(ms) between receive first packet which composite the frame and the frame ready to render.

## ◆ frame_render_delay_ms

uint32_t agora::rtc::RemoteVideoTrackStats::frame_render_delay_ms

The average time cost in renderer.

## ◆ totalActiveTime

uint64_t agora::rtc::RemoteVideoTrackStats::totalActiveTime

The total time (ms) when the remote user neither stops sending the video stream nor disables the video module after joining the channel.

## ◆ publishDuration

uint64_t agora::rtc::RemoteVideoTrackStats::publishDuration

The total publish duration (ms) of the remote video stream.

## ◆ vqa_mos

int agora::rtc::RemoteVideoTrackStats::vqa_mos

decoded frame vqa mos value after all filter.

## ◆ vqa_avg_cost_ms

int agora::rtc::RemoteVideoTrackStats::vqa_avg_cost_ms

vqa avg cost ms

## ◆ decoder_vender_id

uint32_t agora::rtc::RemoteVideoTrackStats::decoder_vender_id

decoder vender id, VideoCodecVenderId

## ◆ decoder_type

uint32_t agora::rtc::RemoteVideoTrackStats::decoder_type

The decoder codec type of the remote video track